2026-03-12 02:07:31 UTC
1.63 GB
1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.3.30.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA25667f084d36852daab6809561a7c8023d130ca07fc6af8fb040684dd1414934d48
PHP_URLhttps://www.php.net/distributions/php-8.3.30.tar.xz
PHP_VERSION8.3.30
[#000] sha256:589002ba0eaed121a1dbf42f6648f29e5be55d5c8a6ee0f8eaa0285cc21ac153 - 0.22% (3.68 MB)
[#001] sha256:5e34c4e90acea1cae511fadb7a2ac6dc9f9d9cca05237e46b4e451185ed45f1a - 0.21% (3.43 MB)
[#002] sha256:c29c183e8dc04fcef0092b2c4d35233ca4a3e19d830d47115f8329fc1af8b0ee - 0.0% (933 Bytes)
[#003] sha256:1004fe1a668458eb6d0281db249f02f99632b06f84464445057d941e9f9a0aa2 - 0.0% (214 Bytes)
[#004] sha256:e9c87754d754feb8c9f608d924a6d9592ca3958d482aa78cb1f3db8dda101f6e - 0.72% (12 MB)
[#005] sha256:f38597d0a77b7d8f2708a62fe4813017f740b04558487a2b31f5ee2d3ead5ca7 - 0.0% (487 Bytes)
[#006] sha256:f29cc71d92cf5e1255e7396148a8074f884d818c7ea222f0abdacf435bfb166b - 0.77% (12.8 MB)
[#007] sha256:e09e9845e89915f50b38a3200f2a258e2b6fbc1b0b70cfc2798ed7516357ec94 - 0.0% (2.39 KB)
[#008] sha256:0fdb2530610113520a823a279fa4e05a145a5fd04c588d2713b37f65415e8bde - 0.0% (22.9 KB)
[#009] sha256:a7914c23f48eb5ca4c30dcd123a292aacff9c2b3a4bde950c0eb1812e5fd6256 - 0.0% (23 KB)
[#010] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#011] sha256:05695a8415128a5dee213d61fd72da4e13e8ec0a8d7c472355dc45004b7d788f - 0.0% (9.03 KB)
[#012] sha256:82cb4a4473c61caa61f7c47219bec45a694f2fc67c9a155fe5a292881704d416 - 1.89% (31.5 MB)
[#013] sha256:3ca0df8988a7a4602958fcda738285321aca2e701a9ee2f86c3ea82f26044ea6 - 0.14% (2.34 MB)
[#014] sha256:4c6dfb657085763890df8e892950671fc1be664f8175b413dd22d9cd401963cb - 0.0% (478 Bytes)
[#015] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#016] sha256:a6ada9b9cf9ddb3ea9aaa21fb1610a1aed86d535bda57eca8a0cc845098c5dc5 - 48.03% (800 MB)
[#017] sha256:b01e93c0abca35c804d266344cd3c8c8bfc902d060645ef488ca0a871b2ec6f3 - 48.03% (800 MB)
[#018] sha256:979f19bf6bb1686ff8b3bfbed5c009e21bb139d09dd52f931bcbfabba74e996c - 0.0% (485 Bytes)
[#019] sha256:715da2bdad33c708b71d7eb294e31b653ba740ebcd7a786ce586cd73e2a44dbc - 0.0% (1.18 KB)
[#020] sha256:e0c7b1a4a946503cdd5b7fc8dce2c05d6aaa23128965bd0825bbb5e73d6124f7 - 0.0% (461 Bytes)
[#021] sha256:a597d4bf6b2ec821c4fa83a06be3dac27eade3a03a5e2ed3bf1cbe88df62f552 - 0.0% (423 Bytes)
[#022] sha256:5a76518d4392822e71304f90d1fd5e6c14267436c30610649cdd908ec2ad0703 - 0.0% (434 Bytes)
ADD alpine-minirootfs-3.23.3-x86_64.tar.gz / # buildkit
2026-01-28 01:18:04 UTC (buildkit.dockerfile.v0)CMD ["/bin/sh"]
2026-01-30 01:22:32 UTC (buildkit.dockerfile.v0)ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
2026-01-30 01:22:32 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz # buildkit
2026-01-30 01:22:32 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data # buildkit
2026-01-30 01:22:32 UTC (buildkit.dockerfile.v0)ENV PHP_INI_DIR=/usr/local/etc/php
2026-01-30 01:22:32 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit
2026-01-30 01:22:32 UTC (buildkit.dockerfile.v0)ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-01-30 01:22:32 UTC (buildkit.dockerfile.v0)ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-01-30 01:22:32 UTC (buildkit.dockerfile.v0)ENV PHP_LDFLAGS=-Wl,-O1 -pie
2026-01-30 01:22:32 UTC (buildkit.dockerfile.v0)ENV GPG_KEYS=1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
2026-01-30 01:22:32 UTC (buildkit.dockerfile.v0)ENV PHP_VERSION=8.3.30
2026-01-30 01:22:32 UTC (buildkit.dockerfile.v0)ENV PHP_URL=https://www.php.net/distributions/php-8.3.30.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.3.30.tar.xz.asc
2026-01-30 01:22:32 UTC (buildkit.dockerfile.v0)ENV PHP_SHA256=67f084d36852daab6809561a7c8023d130ca07fc6af8fb040684dd1414934d48
2026-01-30 01:22:35 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; apk del --no-network .fetch-deps # buildkit
2026-01-30 01:22:36 UTC (buildkit.dockerfile.v0)COPY docker-php-source /usr/local/bin/ # buildkit
2026-01-30 01:25:17 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; test "$PHP_INI_DIR" != "${PHP_INI_DIR%/php}"; ./configure --build="$gnuArch" --sysconfdir="${PHP_INI_DIR%/php}" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit
2026-01-30 01:25:17 UTC (buildkit.dockerfile.v0)COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit
2026-01-30 01:25:18 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable opcache # buildkit
2026-01-30 01:25:19 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable sodium # buildkit
2026-01-30 01:25:19 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-php-entrypoint"]
2026-01-30 01:25:19 UTC (buildkit.dockerfile.v0)WORKDIR /var/www/html
2026-01-30 01:25:19 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; cd "${PHP_INI_DIR%/php}"; cp -v php-fpm.conf.default php-fpm.conf; cp -v php-fpm.d/www.conf.default php-fpm.d/www.conf; grep -E '^listen = 127.0.0.1:9000' php-fpm.d/www.conf; sed -ri 's/^(listen = 127.0.0.1:9000)/;\1/' php-fpm.d/www.conf; grep -E '^;listen = 127.0.0.1:9000' php-fpm.d/www.conf; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; echo; echo '; default listen address for easy override in later php-fpm.d/*.conf files'; echo 'listen = 9000'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '; the [www] ini section below is for backwards compatibility and will be removed in 8.6+'; echo '[www]'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit
2026-01-30 01:25:19 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGQUIT
2026-01-30 01:25:19 UTC (buildkit.dockerfile.v0)EXPOSE map[9000/tcp:{}]
2026-01-30 01:25:19 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2026-03-12 02:02:29 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c apk add --no-cache tini nginx mysql-client openssl supervisor freetype libpng zstd-libs libjpeg-turbo libzip openldap icu-libs && rm -rf /var/cache/apk/* /tmp/* # buildkit
2026-03-12 02:05:59 UTC (buildkit.dockerfile.v0)COPY /usr/local/lib/php/extensions/ /usr/local/lib/php/extensions/ # buildkit
2026-03-12 02:05:59 UTC (buildkit.dockerfile.v0)COPY /usr/local/etc/php/conf.d/ /usr/local/etc/php/conf.d/ # buildkit
2026-03-12 02:05:59 UTC (buildkit.dockerfile.v0)ARG PUID=1000
2026-03-12 02:05:59 UTC (buildkit.dockerfile.v0)ARG PGID=1000
2026-03-12 02:05:59 UTC (buildkit.dockerfile.v0)WORKDIR /var/www/html
2026-03-12 02:05:59 UTC (buildkit.dockerfile.v0)ARG LEAN_VERSION=3.7.3
2026-03-12 02:07:17 UTC (buildkit.dockerfile.v0)RUN |3 PUID=1000 PGID=1000 LEAN_VERSION=3.7.3 /bin/sh -c set -ex; curl -fsSL --retry 3 https://github.com/Leantime/leantime/releases/download/v${LEAN_VERSION}/Leantime-v${LEAN_VERSION}.tar.gz -o leantime.tar.gz && tar xzf leantime.tar.gz --strip-components 1 && rm leantime.tar.gz && chown -R www-data:www-data . # buildkit
2026-03-12 02:07:30 UTC (buildkit.dockerfile.v0)RUN |3 PUID=1000 PGID=1000 LEAN_VERSION=3.7.3 /bin/sh -c set -ex; deluser www-data; addgroup -g ${PGID} www-data; adduser -u ${PUID} -G www-data -h /home/www-data -s /bin/sh -D www-data; mkdir -p /var/www/html/userfiles /var/www/html/public/userfiles /var/www/html/bootstrap/cache /var/www/html/storage/logs /var/www/html/storage/framework/cache /var/www/html/storage/framework/sessions /var/www/html/storage/framework/views /var/www/html/app/Plugins /run /var/log/nginx /var/lib/nginx; chown -R www-data:www-data /var/www/html /run /var/log/nginx /var/lib/nginx && chmod 775 /var/www/html/userfiles /var/www/html/public/userfiles /var/www/html/bootstrap/cache /var/www/html/storage/logs /var/www/html/storage/framework/cache /var/www/html/storage/framework/sessions /var/www/html/storage/framework/views /var/www/html/app/Plugins; # buildkit
2026-03-12 02:07:31 UTC (buildkit.dockerfile.v0)COPY config/custom.ini /usr/local/etc/php/conf.d/ # buildkit
2026-03-12 02:07:31 UTC (buildkit.dockerfile.v0)COPY config/nginx.conf /etc/nginx/nginx.conf # buildkit
2026-03-12 02:07:31 UTC (buildkit.dockerfile.v0)COPY config/php-fpm.conf /usr/local/etc/php-fpm.d/www.conf # buildkit
2026-03-12 02:07:31 UTC (buildkit.dockerfile.v0)COPY config/supervisord.conf /etc/supervisor/conf.d/supervisord.conf # buildkit
2026-03-12 02:07:31 UTC (buildkit.dockerfile.v0)COPY --chmod=0755 start.sh /start.sh # buildkit
2026-03-12 02:07:31 UTC (buildkit.dockerfile.v0)USER www-data
2026-03-12 02:07:31 UTC (buildkit.dockerfile.v0)HEALTHCHECK &{["CMD-SHELL" "curl -f http://localhost:8080 || exit 1"] "30s" "10s" "0s" "0s" '\x03'}
2026-03-12 02:07:31 UTC (buildkit.dockerfile.v0)EXPOSE [8080/tcp]
2026-03-12 02:07:31 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/sbin/tini" "--" "/start.sh"]
2026-03-12 02:31:45 UTC
1.62 GB
1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.3.30.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA25667f084d36852daab6809561a7c8023d130ca07fc6af8fb040684dd1414934d48
PHP_URLhttps://www.php.net/distributions/php-8.3.30.tar.xz
PHP_VERSION8.3.30
[#000] sha256:7ed661450d9b41ba25f81f6ef8649bb379f47471d21c4898a8a6a3e11b819220 - 0.19% (3.13 MB)
[#001] sha256:fdcb556c963ec04f5eef64de6aaf19f9835483c5584e929820a936466753167c - 0.19% (3.19 MB)
[#002] sha256:f23d069606056ff48129e3912227b6cf27adef4be3c529b90bfcdd32c67b2dc7 - 0.0% (933 Bytes)
[#003] sha256:9c56a93c7c94b44c4454dced429e9646435a7f87fe2ac52803696040135becf5 - 0.0% (215 Bytes)
[#004] sha256:da4561e7211effade405577f6fee48808cee43940d28cb5c2f6fc6aa79ce4359 - 0.73% (12 MB)
[#005] sha256:6c3d8f62cc51d116b2f89edb67b5f30487bc347c1705d3fe1975d592d6e3daac - 0.0% (491 Bytes)
[#006] sha256:f6dfedf13c3a274576a26f634fb50e3abaebdba7bbb7193bdefef8e0cf3072a5 - 0.65% (10.9 MB)
[#007] sha256:07d0d647027037dd5565cd0c45bcf292d3b4f1ab3d895bc11e7ab4c48ec3ff1d - 0.0% (2.39 KB)
[#008] sha256:bbcdc2ae8f224af65bc41c9d6f7166427ff9f5f813f357b1b52dcde3430a9a56 - 0.0% (22.8 KB)
[#009] sha256:e525ccd0a132325d45231ca7cd0ee81dd65eb0925783052838019a20502ad48d - 0.0% (22.8 KB)
[#010] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#011] sha256:5f95d7747e40cac866769ebd6d3d96923a455efe71af81635e798c83961583e5 - 0.0% (9.03 KB)
[#012] sha256:d91b6db3e8dfc807778a12ce6545e3aec36a60e9d576e45fc55c1a4c7a1f0805 - 1.83% (30.3 MB)
[#013] sha256:bc1ac381ecf8829cc9e2dacfd19904e3290662d5d30b10dda6f60ec37b62a99b - 0.11% (1.85 MB)
[#014] sha256:762d71ef42685640d2458c29b7ce0a85ea0b96d413b03bbd2ed0e6e2d8fe00e0 - 0.0% (489 Bytes)
[#015] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#016] sha256:3de5f9420f569704c47a4476e71cdab8a6d075424e73630b29cd1083f76e9db0 - 48.15% (800 MB)
[#017] sha256:5fd243d8a27d13636c05220881618e9f1d7063b793975791c8532335804621a8 - 48.15% (800 MB)
[#018] sha256:791a5efc05d9ab7bc11d8f194f340febc200615b992ab448b1a6587b78098aa2 - 0.0% (488 Bytes)
[#019] sha256:3dc5e8ae9333ab469c5559199462c3bdb77e43efd5250b7bf482203bb62dead2 - 0.0% (1.18 KB)
[#020] sha256:d2e4d5d8e91b1b528f017798c2f03b9fcd091cf45ca4ae7ea367b468ba368d85 - 0.0% (463 Bytes)
[#021] sha256:c5357818cf2d421a7bfeffe7fa3f73bcbe20cc2da436b68174e529b7618b6580 - 0.0% (424 Bytes)
[#022] sha256:5a76518d4392822e71304f90d1fd5e6c14267436c30610649cdd908ec2ad0703 - 0.0% (434 Bytes)
ADD alpine-minirootfs-3.23.3-armv7.tar.gz / # buildkit
2026-01-28 01:18:44 UTC (buildkit.dockerfile.v0)CMD ["/bin/sh"]
2026-01-30 01:27:49 UTC (buildkit.dockerfile.v0)ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
2026-01-30 01:27:49 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz # buildkit
2026-01-30 01:27:49 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data # buildkit
2026-01-30 01:27:49 UTC (buildkit.dockerfile.v0)ENV PHP_INI_DIR=/usr/local/etc/php
2026-01-30 01:27:49 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit
2026-01-30 01:27:49 UTC (buildkit.dockerfile.v0)ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-01-30 01:27:49 UTC (buildkit.dockerfile.v0)ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-01-30 01:27:49 UTC (buildkit.dockerfile.v0)ENV PHP_LDFLAGS=-Wl,-O1 -pie
2026-01-30 01:27:49 UTC (buildkit.dockerfile.v0)ENV GPG_KEYS=1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
2026-01-30 01:27:49 UTC (buildkit.dockerfile.v0)ENV PHP_VERSION=8.3.30
2026-01-30 01:27:49 UTC (buildkit.dockerfile.v0)ENV PHP_URL=https://www.php.net/distributions/php-8.3.30.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.3.30.tar.xz.asc
2026-01-30 01:27:49 UTC (buildkit.dockerfile.v0)ENV PHP_SHA256=67f084d36852daab6809561a7c8023d130ca07fc6af8fb040684dd1414934d48
2026-01-30 01:38:57 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; apk del --no-network .fetch-deps # buildkit
2026-01-30 01:38:57 UTC (buildkit.dockerfile.v0)COPY docker-php-source /usr/local/bin/ # buildkit
2026-01-30 01:41:47 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; test "$PHP_INI_DIR" != "${PHP_INI_DIR%/php}"; ./configure --build="$gnuArch" --sysconfdir="${PHP_INI_DIR%/php}" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit
2026-01-30 01:41:47 UTC (buildkit.dockerfile.v0)COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit
2026-01-30 01:41:48 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable opcache # buildkit
2026-01-30 01:41:48 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable sodium # buildkit
2026-01-30 01:41:48 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-php-entrypoint"]
2026-01-30 01:41:48 UTC (buildkit.dockerfile.v0)WORKDIR /var/www/html
2026-01-30 01:41:48 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; cd "${PHP_INI_DIR%/php}"; cp -v php-fpm.conf.default php-fpm.conf; cp -v php-fpm.d/www.conf.default php-fpm.d/www.conf; grep -E '^listen = 127.0.0.1:9000' php-fpm.d/www.conf; sed -ri 's/^(listen = 127.0.0.1:9000)/;\1/' php-fpm.d/www.conf; grep -E '^;listen = 127.0.0.1:9000' php-fpm.d/www.conf; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; echo; echo '; default listen address for easy override in later php-fpm.d/*.conf files'; echo 'listen = 9000'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '; the [www] ini section below is for backwards compatibility and will be removed in 8.6+'; echo '[www]'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit
2026-01-30 01:41:48 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGQUIT
2026-01-30 01:41:48 UTC (buildkit.dockerfile.v0)EXPOSE map[9000/tcp:{}]
2026-01-30 01:41:48 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2026-03-12 02:02:38 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c apk add --no-cache tini nginx mysql-client openssl supervisor freetype libpng zstd-libs libjpeg-turbo libzip openldap icu-libs && rm -rf /var/cache/apk/* /tmp/* # buildkit
2026-03-12 02:30:27 UTC (buildkit.dockerfile.v0)COPY /usr/local/lib/php/extensions/ /usr/local/lib/php/extensions/ # buildkit
2026-03-12 02:30:27 UTC (buildkit.dockerfile.v0)COPY /usr/local/etc/php/conf.d/ /usr/local/etc/php/conf.d/ # buildkit
2026-03-12 02:30:27 UTC (buildkit.dockerfile.v0)ARG PUID=1000
2026-03-12 02:30:27 UTC (buildkit.dockerfile.v0)ARG PGID=1000
2026-03-12 02:30:27 UTC (buildkit.dockerfile.v0)WORKDIR /var/www/html
2026-03-12 02:30:27 UTC (buildkit.dockerfile.v0)ARG LEAN_VERSION=3.7.3
2026-03-12 02:31:31 UTC (buildkit.dockerfile.v0)RUN |3 PUID=1000 PGID=1000 LEAN_VERSION=3.7.3 /bin/sh -c set -ex; curl -fsSL --retry 3 https://github.com/Leantime/leantime/releases/download/v${LEAN_VERSION}/Leantime-v${LEAN_VERSION}.tar.gz -o leantime.tar.gz && tar xzf leantime.tar.gz --strip-components 1 && rm leantime.tar.gz && chown -R www-data:www-data . # buildkit
2026-03-12 02:31:45 UTC (buildkit.dockerfile.v0)RUN |3 PUID=1000 PGID=1000 LEAN_VERSION=3.7.3 /bin/sh -c set -ex; deluser www-data; addgroup -g ${PGID} www-data; adduser -u ${PUID} -G www-data -h /home/www-data -s /bin/sh -D www-data; mkdir -p /var/www/html/userfiles /var/www/html/public/userfiles /var/www/html/bootstrap/cache /var/www/html/storage/logs /var/www/html/storage/framework/cache /var/www/html/storage/framework/sessions /var/www/html/storage/framework/views /var/www/html/app/Plugins /run /var/log/nginx /var/lib/nginx; chown -R www-data:www-data /var/www/html /run /var/log/nginx /var/lib/nginx && chmod 775 /var/www/html/userfiles /var/www/html/public/userfiles /var/www/html/bootstrap/cache /var/www/html/storage/logs /var/www/html/storage/framework/cache /var/www/html/storage/framework/sessions /var/www/html/storage/framework/views /var/www/html/app/Plugins; # buildkit
2026-03-12 02:31:45 UTC (buildkit.dockerfile.v0)COPY config/custom.ini /usr/local/etc/php/conf.d/ # buildkit
2026-03-12 02:31:45 UTC (buildkit.dockerfile.v0)COPY config/nginx.conf /etc/nginx/nginx.conf # buildkit
2026-03-12 02:31:45 UTC (buildkit.dockerfile.v0)COPY config/php-fpm.conf /usr/local/etc/php-fpm.d/www.conf # buildkit
2026-03-12 02:31:45 UTC (buildkit.dockerfile.v0)COPY config/supervisord.conf /etc/supervisor/conf.d/supervisord.conf # buildkit
2026-03-12 02:31:45 UTC (buildkit.dockerfile.v0)COPY --chmod=0755 start.sh /start.sh # buildkit
2026-03-12 02:31:45 UTC (buildkit.dockerfile.v0)USER www-data
2026-03-12 02:31:45 UTC (buildkit.dockerfile.v0)HEALTHCHECK &{["CMD-SHELL" "curl -f http://localhost:8080 || exit 1"] "30s" "10s" "0s" "0s" '\x03'}
2026-03-12 02:31:45 UTC (buildkit.dockerfile.v0)EXPOSE [8080/tcp]
2026-03-12 02:31:45 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/sbin/tini" "--" "/start.sh"]
2026-03-12 02:43:51 UTC
1.63 GB
1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.3.30.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA25667f084d36852daab6809561a7c8023d130ca07fc6af8fb040684dd1414934d48
PHP_URLhttps://www.php.net/distributions/php-8.3.30.tar.xz
PHP_VERSION8.3.30
[#000] sha256:d8ad8cd72600f46cc068e16c39046ebc76526e41051f43a8c249884b200936c0 - 0.24% (4 MB)
[#001] sha256:fdf2571d7e4455fc07de4ba60b46c5f47622661c2f50dd45438c1e3dee9d76a9 - 0.21% (3.43 MB)
[#002] sha256:1b492656fe78b2299fea9a3bf8e8e63f9dfed39cb5a7af007daf3d100d690011 - 0.0% (932 Bytes)
[#003] sha256:7c7f4200f7b0c8e0b49168f2eed513bf239dfae950ae5f1187609f3a36f30062 - 0.0% (223 Bytes)
[#004] sha256:70278c7b32646d451e8d89387305bd3892cce79d8a8790f00dccc7c0478c4e1a - 0.72% (12 MB)
[#005] sha256:d69c1d434ea02f5a467af0faa0d3e507ca2ab5d557b6f5963546b75e073619f1 - 0.0% (488 Bytes)
[#006] sha256:cbdd0f93e4b78d0bcb6c895d24d5cad5731f790fbbaa59f4d47c64cea2fe824a - 0.76% (12.6 MB)
[#007] sha256:f7b1ab07f4600be149109f1932a84ac9bbd04201e000c45f5ae0705822c83f59 - 0.0% (2.39 KB)
[#008] sha256:d476340368324657d0e21730f28925ecb342ac212ea50817450c44cb4031b7a4 - 0.0% (22.8 KB)
[#009] sha256:db9cb7559ed133194c9ed84f4cad349eb6467de150c6c02e3c05f0ebc543d458 - 0.0% (22.8 KB)
[#010] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#011] sha256:18ec07eeb18f2bb3e0e0427b76fabb0587246c09bb65458459c651c83edf839c - 0.0% (9.03 KB)
[#012] sha256:b1e8b3f975e7220a408303a160178fd73ca7c1e725f111f84e5964ef6a62d2a7 - 1.89% (31.4 MB)
[#013] sha256:dbbce11c232c23c580dc1f52055d355c248633ea7f602baca7692570b3dfdb32 - 0.15% (2.56 MB)
[#014] sha256:4c2a0cc0f4ff70cbdc137fc4c67e58a46f5ba2e55f01e97ef6b6ffa38995997a - 0.0% (488 Bytes)
[#015] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#016] sha256:a458dc8ae8df5052dd8b07d3ee8232f392c379e621f8f01f845ca093e0d2cb03 - 48.01% (800 MB)
[#017] sha256:fea86763133e9a000f56456dddc7899d0a3e465a35a6c73a5ea4463ca054ab83 - 48.01% (800 MB)
[#018] sha256:76bdf88d88b2dfb2a6c38d4b348a25dcd9091f228c5e79076ebd69c1b1a8b636 - 0.0% (490 Bytes)
[#019] sha256:0bd875398e155b684cb0d7789ad864e30269746f01f99478d8d19d8388d46fe5 - 0.0% (1.18 KB)
[#020] sha256:feb1a79f13ab17dddbfac84098c2cf1bb8a25a119c5e80a7fe3ef98203635692 - 0.0% (464 Bytes)
[#021] sha256:472d77234357ec7b508cc4b6dc021d703aa3ae7fd109f87292b22276460bf775 - 0.0% (424 Bytes)
[#022] sha256:5a76518d4392822e71304f90d1fd5e6c14267436c30610649cdd908ec2ad0703 - 0.0% (434 Bytes)
ADD alpine-minirootfs-3.23.3-aarch64.tar.gz / # buildkit
2026-01-28 01:18:09 UTC (buildkit.dockerfile.v0)CMD ["/bin/sh"]
2026-01-30 01:19:18 UTC (buildkit.dockerfile.v0)ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
2026-01-30 01:19:18 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz # buildkit
2026-01-30 01:19:18 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data # buildkit
2026-01-30 01:19:18 UTC (buildkit.dockerfile.v0)ENV PHP_INI_DIR=/usr/local/etc/php
2026-01-30 01:19:19 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit
2026-01-30 01:19:19 UTC (buildkit.dockerfile.v0)ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-01-30 01:19:19 UTC (buildkit.dockerfile.v0)ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-01-30 01:19:19 UTC (buildkit.dockerfile.v0)ENV PHP_LDFLAGS=-Wl,-O1 -pie
2026-01-30 01:19:19 UTC (buildkit.dockerfile.v0)ENV GPG_KEYS=1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
2026-01-30 01:19:19 UTC (buildkit.dockerfile.v0)ENV PHP_VERSION=8.3.30
2026-01-30 01:19:19 UTC (buildkit.dockerfile.v0)ENV PHP_URL=https://www.php.net/distributions/php-8.3.30.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.3.30.tar.xz.asc
2026-01-30 01:19:19 UTC (buildkit.dockerfile.v0)ENV PHP_SHA256=67f084d36852daab6809561a7c8023d130ca07fc6af8fb040684dd1414934d48
2026-01-30 01:23:39 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; apk del --no-network .fetch-deps # buildkit
2026-01-30 01:23:39 UTC (buildkit.dockerfile.v0)COPY docker-php-source /usr/local/bin/ # buildkit
2026-01-30 01:28:15 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; test "$PHP_INI_DIR" != "${PHP_INI_DIR%/php}"; ./configure --build="$gnuArch" --sysconfdir="${PHP_INI_DIR%/php}" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit
2026-01-30 01:28:15 UTC (buildkit.dockerfile.v0)COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit
2026-01-30 01:28:16 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable opcache # buildkit
2026-01-30 01:28:17 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable sodium # buildkit
2026-01-30 01:28:17 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-php-entrypoint"]
2026-01-30 01:28:17 UTC (buildkit.dockerfile.v0)WORKDIR /var/www/html
2026-01-30 01:28:17 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; cd "${PHP_INI_DIR%/php}"; cp -v php-fpm.conf.default php-fpm.conf; cp -v php-fpm.d/www.conf.default php-fpm.d/www.conf; grep -E '^listen = 127.0.0.1:9000' php-fpm.d/www.conf; sed -ri 's/^(listen = 127.0.0.1:9000)/;\1/' php-fpm.d/www.conf; grep -E '^;listen = 127.0.0.1:9000' php-fpm.d/www.conf; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; echo; echo '; default listen address for easy override in later php-fpm.d/*.conf files'; echo 'listen = 9000'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '; the [www] ini section below is for backwards compatibility and will be removed in 8.6+'; echo '[www]'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit
2026-01-30 01:28:17 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGQUIT
2026-01-30 01:28:17 UTC (buildkit.dockerfile.v0)EXPOSE map[9000/tcp:{}]
2026-01-30 01:28:17 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2026-03-12 02:02:35 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c apk add --no-cache tini nginx mysql-client openssl supervisor freetype libpng zstd-libs libjpeg-turbo libzip openldap icu-libs && rm -rf /var/cache/apk/* /tmp/* # buildkit
2026-03-12 02:42:32 UTC (buildkit.dockerfile.v0)COPY /usr/local/lib/php/extensions/ /usr/local/lib/php/extensions/ # buildkit
2026-03-12 02:42:32 UTC (buildkit.dockerfile.v0)COPY /usr/local/etc/php/conf.d/ /usr/local/etc/php/conf.d/ # buildkit
2026-03-12 02:42:32 UTC (buildkit.dockerfile.v0)ARG PUID=1000
2026-03-12 02:42:32 UTC (buildkit.dockerfile.v0)ARG PGID=1000
2026-03-12 02:42:32 UTC (buildkit.dockerfile.v0)WORKDIR /var/www/html
2026-03-12 02:42:32 UTC (buildkit.dockerfile.v0)ARG LEAN_VERSION=3.7.3
2026-03-12 02:43:39 UTC (buildkit.dockerfile.v0)RUN |3 PUID=1000 PGID=1000 LEAN_VERSION=3.7.3 /bin/sh -c set -ex; curl -fsSL --retry 3 https://github.com/Leantime/leantime/releases/download/v${LEAN_VERSION}/Leantime-v${LEAN_VERSION}.tar.gz -o leantime.tar.gz && tar xzf leantime.tar.gz --strip-components 1 && rm leantime.tar.gz && chown -R www-data:www-data . # buildkit
2026-03-12 02:43:51 UTC (buildkit.dockerfile.v0)RUN |3 PUID=1000 PGID=1000 LEAN_VERSION=3.7.3 /bin/sh -c set -ex; deluser www-data; addgroup -g ${PGID} www-data; adduser -u ${PUID} -G www-data -h /home/www-data -s /bin/sh -D www-data; mkdir -p /var/www/html/userfiles /var/www/html/public/userfiles /var/www/html/bootstrap/cache /var/www/html/storage/logs /var/www/html/storage/framework/cache /var/www/html/storage/framework/sessions /var/www/html/storage/framework/views /var/www/html/app/Plugins /run /var/log/nginx /var/lib/nginx; chown -R www-data:www-data /var/www/html /run /var/log/nginx /var/lib/nginx && chmod 775 /var/www/html/userfiles /var/www/html/public/userfiles /var/www/html/bootstrap/cache /var/www/html/storage/logs /var/www/html/storage/framework/cache /var/www/html/storage/framework/sessions /var/www/html/storage/framework/views /var/www/html/app/Plugins; # buildkit
2026-03-12 02:43:51 UTC (buildkit.dockerfile.v0)COPY config/custom.ini /usr/local/etc/php/conf.d/ # buildkit
2026-03-12 02:43:51 UTC (buildkit.dockerfile.v0)COPY config/nginx.conf /etc/nginx/nginx.conf # buildkit
2026-03-12 02:43:51 UTC (buildkit.dockerfile.v0)COPY config/php-fpm.conf /usr/local/etc/php-fpm.d/www.conf # buildkit
2026-03-12 02:43:51 UTC (buildkit.dockerfile.v0)COPY config/supervisord.conf /etc/supervisor/conf.d/supervisord.conf # buildkit
2026-03-12 02:43:51 UTC (buildkit.dockerfile.v0)COPY --chmod=0755 start.sh /start.sh # buildkit
2026-03-12 02:43:51 UTC (buildkit.dockerfile.v0)USER www-data
2026-03-12 02:43:51 UTC (buildkit.dockerfile.v0)HEALTHCHECK &{["CMD-SHELL" "curl -f http://localhost:8080 || exit 1"] "30s" "10s" "0s" "0s" '\x03'}
2026-03-12 02:43:51 UTC (buildkit.dockerfile.v0)EXPOSE [8080/tcp]
2026-03-12 02:43:51 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/sbin/tini" "--" "/start.sh"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.